Package uk.ac.starlink.topcat.interop

## Interface ImageActivity

- All Superinterfaces:
    `Activity`
  All Known Implementing Classes:
    `SampImageActivity`

      public interface ImageActivity
      extends Activity

  Activity for sending an image of some sort to load.
  Since:
    18 Sep 2008
  Author:
    Mark Taylor

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `FORMAT_FITS` | Format string indicating FITS image.
    `static java.lang.String` | `FORMAT_GIF` | Format string indicating GIF image.
    `static java.lang.String` | `FORMAT_JPEG` | Format string indicating JPEG image.
    `static java.lang.String` | `FORMAT_PNG` | Format string indicating PNG image.
    `static java.lang.String[]` | `KNOWN_FORMATS` | Array of all known formats.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `displayImage​(java.lang.String location, java.lang.String label)` | Displays an image according to the current selections of the components owned by this activity.
    `javax.swing.JComboBox` | `getFormatSelector()` | Returns a combo box for selecting image format.

    - ### Methods inherited from interface uk.ac.starlink.topcat.interop.Activity

      `getTargetSelector`

- - ### Field Detail

    - #### FORMAT_FITS

          static final java.lang.String FORMAT_FITS

      Format string indicating FITS image.
      See Also:
        Constant Field Values

    - #### FORMAT_JPEG

          static final java.lang.String FORMAT_JPEG

      Format string indicating JPEG image.
      See Also:
        Constant Field Values

    - #### FORMAT_GIF

          static final java.lang.String FORMAT_GIF

      Format string indicating GIF image.
      See Also:
        Constant Field Values

    - #### FORMAT_PNG

          static final java.lang.String FORMAT_PNG

      Format string indicating PNG image.
      See Also:
        Constant Field Values

    - #### KNOWN_FORMATS

          static final java.lang.String[] KNOWN_FORMATS

      Array of all known formats.

  - ### Method Detail

    - #### getFormatSelector

          javax.swing.JComboBox getFormatSelector()

      Returns a combo box for selecting image format. A suitable list of entries for this box is `KNOWN_FORMATS`.
      Returns:
        format selector

    - #### displayImage

          void displayImage​(java.lang.String location,
                            java.lang.String label)
                     throws java.io.IOException

      Displays an image according to the current selections of the components owned by this activity.
      Parameters:
        `location` - string giving file name or URL location of file
        `label` - label for display target
      Throws:
        `java.io.IOException`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.